Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.schedule.renderer
Class ScheduleDetailedDayRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.custom.schedule.renderer.AbstractScheduleRenderer
              org.apache.myfaces.custom.schedule.renderer.ScheduleDetailedDayRenderer

public class ScheduleDetailedDayRenderer
extends AbstractScheduleRenderer

Renderer for the day and workweek views of the Schedule component

Version:
  $Revision$
Author:
  Jurgen Lust (latest modification by $Author$), Bruno Aranda (adaptation of Jurgen's code to myfaces)

Field Summary

Fields inherited from class org.apache.myfaces.custom.schedule.renderer.AbstractScheduleRenderer
`comparator`

Constructor Summary
`ScheduleDetailedDayRenderer()`

Method Summary
`void` | `encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Methods inherited from class org.apache.myfaces.custom.schedule.renderer.AbstractScheduleRenderer
`decode, getDateString, getHeaderDateFormat, getParentForm, getTheme, getTooltipText, showTooltip`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScheduleDetailedDayRenderer

    public ScheduleDetailedDayRenderer()

Method Detail

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Overrides:
    `encodeBegin` in class `AbstractScheduleRenderer`
  Throws:
    `java.io.IOException`
  See Also:
    `Renderer.encodeBegin(javax.faces.context.FacesContext, javax.faces.component.UIComponent)`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `Renderer.encodeChildren(javax.faces.context.FacesContext, javax.faces.component.UIComponent)`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `Renderer.encodeEnd(javax.faces.context.FacesContext, javax.faces.component.UIComponent)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD